Page MenuHomePhabricator

Rollback links should not contain [ and ] characters
Closed, ResolvedPublic

Description

The rollback link contains '[' and ']' characters. This prevents skin developers (e.g. Minerva) from skinning the link.

We've made good progress in core moving away from hardcoded parentheses and should do so here as well.

<span class="mw-rollback-link">[<a href="/w/index.php?title=Talk:Qatar&amp;action=rollback&amp;from=Jdlrobson&amp;token=ad3b6091b6a61e78107d8aa73f00557b5ca3ef2d%2B%5C" title="&quot;Rollback&quot; reverts the last contributor's edit(s) to this page in one click" data-mw="interface">rollback more than 10 edits</a>]</span>

Replication steps

You can enable rollback rights for all logged in users on your local instance using

$wgGroupPermissions['user']['rollback'] = true;

Event Timeline

Change 500864 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] Do not hardcode square brackets in "rollback link"

https://gerrit.wikimedia.org/r/500864

Harej added a subscriber: Harej.Apr 2 2019, 11:42 PM

I feel like there should be a parent task for getting rid of these “textual decorations” in general.

@Harej T205581 was the originating task, that grow in scope… ;)

Jdlrobson updated the task description. (Show Details)Jul 18 2019, 9:31 PM
Jdlrobson added a subscriber: kostajh.

@Volker_E or @kostajh any chance you can review the open patch? I just rebased.

kostajh moved this task from Incoming to QA on the Growth-Team (Current Sprint) board.

Change 500864 merged by jenkins-bot:
[mediawiki/core@master] Do not hardcode square brackets in "rollback link"

https://gerrit.wikimedia.org/r/500864

Etonkovidova closed this task as Resolved.Jul 22 2019, 8:32 PM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

Checked in betalabs - square brackets are removed; rollback links work as expected.